Properties Methods Events Config Options Direct Link

# Class Ext.data.Response

Package: | Ext.data
Defined In: | Response.js
Class: | Response
Extends: | Object

A generic response class to normalize response-handling internally to the framework.

## Config Options

Config Options | Defined By
--- | ---
| action : String Ext.data.Api.actions | Response
| data : Array/Object | Response
| message : String | Response
| raw : Object The raw response returned from server-code | Response
| records : Ext.data.Record/Ext.data.Record[] related to the Request action | Response
| success : Boolean | Response

## Public Properties

This class has no public properties.

## Public Methods

This class has no public methods.

## Public Events

This class has no public events.